<?
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

require('functions.php');
?>
<div class="razd">Загрузи своё!</div>
<?
$AccExt=array('png','gif','jpg','jpeg','3gp','exe','cab','zip','mpn');
$MaxSize=1572864;
$SsMSize=10240;

updateData('upload','/export/upload.php');
if($data=getData('upload')) {
foreach($data as $value) {
switch($value[0]) {
case 'maxSize':
$MaxSize=$value[1];
break;
case 'screenshotMaxSize':
$SsMSize=$value[1];
break;
case 'acceptedExtensions':
$AccExt[]=$value[1];
break;
}
}
$AccExt=array_unique($AccExt);
}

$hMS=$MaxSize>1048576?round($MaxSize/1048576,2).' МБ':round($MaxSize/1024).' КБ';

updateData('exchanger','/export/exr.php');
if($data=getData('exchanger')) {
foreach($data as $value) {
$catgr[$value[0]][$value[1]]=$value[2];
}


if(isset($_FILES['file'])) {
if(isset($_POST['cat']) && getFirstKey($_POST['cat'])!==false) {
if(isset($_POST['name']) && $_POST['name']!='') {
if(is_uploaded_file($_FILES['file']['tmp_name'])) {
$ss=(isset($_FILES['ss']) && is_uploaded_file($_FILES['ss']['tmp_name']));
$ext=strtolower(substr($_FILES['file']['name'],strrpos($_FILES['file']['name'],'.')+1));
if(in_array($ext,$AccExt)) {
$fs=filesize($_FILES['file']['tmp_name']);
if($fs<=$MaxSize) {
if(($ss && filesize($_FILES['file']['tmp_name'])<=$SsMSize) || !$ss) {
$sst=exif_imagetype($_FILES['file']['tmp_name']);
if(($ss && ($sst==IMAGETYPE_GIF || $sst==IMAGETYPE_JPEG || $sst==IMAGETYPE_PNG || $sst==IMAGETYPE_BMP)) || !$ss) {
if(move_uploaded_file($_FILES['file']['tmp_name'],'data/'.basename($_FILES['file']['tmp_name']))) {
if(($ss && move_uploaded_file($_FILES['ss']['tmp_name'],'data/'.basename($_FILES['ss']['tmp_name']))) || !$ss) {
$p="f=".rawurlencode("http://".$_SERVER["SERVER_NAME"].dirname($_SERVER["SCRIPT_NAME"])."/data/".basename($_FILES['file']['tmp_name'])).(($ss)?"&s=".rawurlencode("http://".$_SERVER["SERVER_NAME"].dirname($_SERVER["SCRIPT_NAME"])."/data/".basename($_FILES['ss']['tmp_name'])):'')."&n=".rawurlencode($_POST['name']).((isset($_POST['descr']) && $_POST['descr']!='')?"&d=".rawurlencode($_POST['descr']):'')."&t=".$ext."&c=".$_POST['cat'];
$fp=fsockopen("wapnot.ru",80,$errno,$errstr,30);
if($fp) {
fputs($fp,"POST /export/upload.php HTTP/1.0\r\nUser-Agent: WAPNOT UPLOADER\r\nHost: wapnot.ru\r\nContent-Type: application/x-www-form-urlencoded\r\nContent-Length: ".strlen($p)."\r\n\r\n".$p);
while(!feof($fp)) {
$o[]=fgets($fp,1024);
}
$output=implode("",$o);
$output=substr($output,strpos($output,"\r\n\r\n")+4);
if(substr($output,0,4)=='OK: ') {
echo substr($output,4);
} else {
echo 'Ошибка отправки данных!';
}
fclose($fp);
} else {
echo 'Ошибка инициализации соединения!';
}
} else {
echo 'Ошибка при перемещении файла скриншота!';
}
} else {
echo 'Ошибка при перемещении файла!';
}
} else {
echo 'Недопустимый тип файла скриншота! К загрузке принимаются только GIF, JPEG, PNG и BMP рисунки.';
}
} else {
echo 'Слишком большой размер файла скриншота!<br>В настоящее время к загрузке доступны файлы размером не более '.($SsMSize/1024).' КБ.';
}
} else {
echo 'Слишком большой размер файла!<br>В настоящее время к загрузке доступны файлы размером не более '.$hMS.'.';
}
} else {
echo 'Недопустимое расширение файла!<br>В настоящее время к загрузке доступны файлы с расширением '.implode(', ',$AccExt);
}
} else {
echo 'Ошибка при загрузке файла!';
}
} else {
echo 'Не указано имя файла!';
}
} else {
echo 'Неверно указана категория!';
}
}
?>
<form action="upload.php?<?=SID?>" enctype="multipart/form-data" method="post">
<b>Категория:</b><br>
<select name="cat">
<?
echoSelect();
?>
</select><br>
<b>Файл:</b><br>
<input type="file" name="file"><br>
<b>Название:</b><br>
<input name="name"><br>
<b>Описание (необязательно):</b><br>
<input name="descr"><br>
<b>Скриншот (необязательно, только для программ):</b><br>
<input type="file" name="ss"><br>
<input type="submit" value="Загрузить">
</form>
<?} else {
echo 'Невозможно получить список категорий!';
}
echo '<a href="index.php?'.SID.'">На главную</a><br/>';
?>
<small>К загрузке допустимы файлы размером не более <?=$hMS?> следующих типов: <?=implode(', ',$AccExt)?></small>
<?
echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>